Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.comment
Class CommentImpl

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.comment.CommentImpl

All Implemented Interfaces:
  Comment, BambooObject

    public class CommentImpl

extends BambooEntityObject
implements Comment

Field Summary

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`CommentImpl()`

Method Summary
`BuildResultsSummary` | `getBuildResultsSummary()`
`String` | `getContent()`
`User` | `getUser()`
`String` | `getUserName()`
`void` | `setBambooUserManager(BambooUserManager bambooUserManager)`
`void` | `setBuildResultsSummary(BuildResultsSummary buildResultsSummary)`
`void` | `setContent(String content)`
`void` | `setUserName(String userName)`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.comment.Comment
`getCreationDate, getLastModificationDate`

Methods inherited from interface com.atlassian.bamboo.core.BambooObject
`getId, setId`

Constructor Detail

### CommentImpl

    public CommentImpl()

Method Detail

### getContent

    public String getContent()

  Specified by:
    `getContent` in interface `Comment`

### setContent

    public void setContent(String content)

  Specified by:
    `setContent` in interface `Comment`

### getUserName

    public String getUserName()

  Specified by:
    `getUserName` in interface `Comment`

### setUserName

    public void setUserName(String userName)

  Specified by:
    `setUserName` in interface `Comment`

### getUser

    public User getUser()

  Specified by:
    `getUser` in interface `Comment`

### getBuildResultsSummary

    public BuildResultsSummary getBuildResultsSummary()

  Specified by:
    `getBuildResultsSummary` in interface `Comment`

### setBuildResultsSummary

    public void setBuildResultsSummary(BuildResultsSummary buildResultsSummary)

  Specified by:
    `setBuildResultsSummary` in interface `Comment`

### setBambooUserManager

    public void setBambooUserManager(BambooUserManager bambooUserManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.